# TdApi.SecretChatState (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SecretChatState

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SecretChatState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SecretChatState

Direct Known Subclasses:
  `TdApi.SecretChatStateClosed`, `TdApi.SecretChatStatePending`, `TdApi.SecretChatStateReady`

Enclosing class:
  TdApi

public abstract static class TdApi.SecretChatState extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`SecretChatState()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecretChatState

public SecretChatState()